Subject: Re: bug#24678: Emacs crash on macOS 10.12 "Sierra": nextEventMatchingMask from background thread

From: Alan Third <[email-masked]>
Date: Sat, 15 Oct 2016 23:53:49 +0100

On Wed, Oct 12, 2016 at 07:44:01PM +0000, Jean de Largentaye wrote:
> crashing in org.gnu.Emacs in deliver_fatal_thread_signal • Uncaught
> Exception 'NSInternalInconsistencyException': nextEventMatchingMask should
> only be called from the Main Thread!terminating with uncaught exception of
> type NSException : at com.apple.AppKit in -[NSApplication(NSEvent)
> shouldBeTreatedAsInkEvent:] + 0
> 
> Apparently, calling nextEventMatchingMask from a background thread is
> risky, and this has been made an assert as on 10.12, hence the crash.

Hi, is there any chance you could provide a full backtrace? I can’t
tell where the problem is and can’t reproduce myself as I’ve not
upgraded to 10.12 yet.
-- 
Alan Third